Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes
Argus::Range< T > Struct Template Reference

A templatized class to hold a min/max range of values. More...

`#include <Types.h>`

List of all members.

## Public Member Functions

| Range (T value)
| Range (T min, T max)
bool | operator== (const Range< T > &rhs) const
bool | empty () const

## Public Attributes

T | min
T | max

## Detailed Description

### template<typename T>
struct Argus::Range< T >

A templatized class to hold a min/max range of values.

Definition at line 457 of file Types.h.

## Constructor & Destructor Documentation

template<typename T>

Argus::Range< T >::Range | ( | T | value | ) |

inline

Definition at line 462 of file Types.h.

template<typename T>

Argus::Range< T >::Range | ( | T | min,
|  | T | max
| ) |  |

inline

Definition at line 463 of file Types.h.

## Member Function Documentation

template<typename T>

bool Argus::Range< T >::empty | ( |  | ) | const

inline

Definition at line 469 of file Types.h.

template<typename T>

bool Argus::Range< T >::operator== | ( | const Range< T > & | rhs | ) | const

inline

Definition at line 464 of file Types.h.

## Member Data Documentation

template<typename T>

T Argus::Range< T >::max

Definition at line 460 of file Types.h.

template<typename T>

T Argus::Range< T >::min

Definition at line 459 of file Types.h.

The documentation for this struct was generated from the following file:

- include/Argus/Types.h